jQuery(document).ready(function($){

/*------------------------------------------------
            PRELOADER
------------------------------------------------*/

$('#loader').fadeOut();
$('#loader-container').fadeOut();

/*------------------------------------------------
                END PRELOADER
------------------------------------------------*/

/*------------------------------------------------
                BACK TO TOP
------------------------------------------------*/

 $(window).scroll(function(){
    if ($(this).scrollTop() > 1) {
    $('.backtotop').fadeIn();
    } else {
    $('.backtotop').fadeOut();
    }
    });
    $('.backtotop').click(function(){
    $('html, body').animate({scrollTop: '0px'}, 800);
    return false;
});

/*------------------------------------------------
                END BACK TO TOP
------------------------------------------------*/

/*------------------------------------------------
                SIDR MENU
------------------------------------------------*/

$('#sidr-left-top-button').sidr({
    name: 'sidr-left-top',
    timing: 'ease-in-out',
    speed: 500,
    side: 'left',
    source: '.left'
});

/*------------------------------------------------
                END SIDR MENU
------------------------------------------------*/

/*------------------------------------------------
                MENU ACTIVE AND STICKY
------------------------------------------------*/

$('.main-navigation ul li').click(function(){
    $('.main-navigation ul li').removeClass('current-menu-item');
    $(this).addClass('current-menu-item');
});

$(window).scroll(function() {    
    var scroll = $(window).scrollTop();  
    if (scroll > 190) {
        $(".site-header.make-sticky").addClass("is-sticky");
    }
    else {
         $(".site-header.make-sticky").removeClass("is-sticky");
    }
});

$('.topbar-toggle').click(function(){
    $('#top-bar').toggleClass('open-topbar');
});

/*------------------------------------------------
                END MENU ACTIVE
------------------------------------------------*/

$('#popular-articles .regular').slick({
    responsive: [
    {
      breakpoint: 992,
      settings: {
        slidesToShow: 1,
        slidesToScroll: 1
      }
    }
  ]
});

$(".widget_post_slider .regular").slick({});

$('#latest-news .regular').slick({
});

$('.product-slider .regular').slick({
});

$('.widget_topcolleges_slider .regular').slick({
});

$('.widget_abroad_study_steps .regular').not('.slick-initialized').slick({
});

$('.widget_abroad_study_steps .slick-next').insertAfter(".widget_abroad_study_steps .slick-dots");

/*------------------------------------------------
                TABS
------------------------------------------------*/
$('#popular-articles ul.tabs li').click(function() {

    var tab_id = $(this).attr('data-tab');

    $('#popular-articles ul.tabs li').removeClass('active');
    $('#popular-articles .tab-content').removeClass('active');
    $('#popular-articles .tab-content').fadeOut();
    $(this).addClass('active');
    $("#"+tab_id).fadeIn();

    $('#popular-articles .regular').slick('setPosition');

});

$('#trending-courses ul.tabs li').click(function() {
    var tab_id = $(this).attr('data-tab');

    $('#trending-courses ul.tabs li').removeClass('active');
    $('#trending-courses .tab-content').removeClass('active');
    $('#trending-courses .tab-content').fadeOut();
    $(this).addClass('active');
    $("#"+tab_id).fadeIn();
});

$('#latest-news ul.tabs li').click(function() {
    var tab_id = $(this).attr('data-tab');

    $('#latest-news ul.tabs li').removeClass('active');
    $('#latest-news .tab-content').fadeOut();

    $(this).addClass('active');
    $("#"+tab_id).fadeIn();

    $('#latest-news .regular').slick('setPosition');
});

$('#about-college ul.tabs li').click(function() {
    var tab_id = $(this).attr('data-tab');

    $('#about-college ul.tabs li').removeClass('active');
    $('#about-college .tab-content').fadeOut();

    $(this).addClass('active');
    $("#"+tab_id).fadeIn();
});

$('#study-abroad ul.tabs li').click(function() {
    var tab_id = $(this).attr('data-tab');

    $('#study-abroad ul.tabs li').removeClass('active');
    $('#study-abroad .tab-content').fadeOut();

    $(this).addClass('active');
    $("#"+tab_id).fadeIn();

    $('.widget_post_slider .regular').slick('setPosition');
});

$('.woocommerce-tabs ul.tabs li').click(function() {
    var tab_id = $(this).attr('data-tab');

    $('.woocommerce-tabs ul.tabs li').removeClass('active');
    $('.woocommerce-tabs .tab-content').fadeOut();

    $(this).addClass('active');
    $("#"+tab_id).fadeIn();
});

/*------------------------------------------------
                END TABS
------------------------------------------------*/

/*------------------------------------------------
                SLIDE TOGGLE
------------------------------------------------*/
$("button.slide-down").click(function(){
    $(".widget_travel_resources ul").slideToggle("slow");
    $(".widget_travel_resources").toggleClass("active");
});

/*------------------------------------------------
                END SLIDE TOGGLE
------------------------------------------------*/


/*------------------------------------------------
                GALLERY PORTFOLIO
------------------------------------------------*/


var $container = $('.portfolio'),
    colWidth = function () {
        var w = $container.width(), 
            columnNum = 1,
            columnWidth = 0;
        if (w > 1200) {
            columnNum  = 4;
        } 
        else if (w > 900) {
            columnNum  = 4;
        } 
        else if (w > 600) {
            columnNum  = 3;
        } 
        else if (w > 300) {
            columnNum  = 2;
        }
        columnWidth = Math.floor(w/columnNum);
        $container.find('.portfolio-item').each(function() {
            var $item = $(this),
                multiplier_w = $item.attr('class').match(/item-w(\d)/),
                multiplier_h = $item.attr('class').match(/item-h(\d)/),
                width = multiplier_w ? columnWidth*multiplier_w[1]-0 : columnWidth-5,
                height = multiplier_h ? columnWidth*multiplier_h[1]*1-5 : columnWidth*0.5-5;
            $item.css({
                width: width,
                height: height
            });
        });
        return columnWidth;
    }
                
    function refreshWaypoints() {
        setTimeout(function() {
        }, 1000);   
    }
                
    $('nav.portfolio-filter ul a').on('click', function() {
        var selector = $(this).attr('data-filter');
        $container.isotope({ filter: selector }, refreshWaypoints());
        $('nav.portfolio-filter ul li').removeClass('active');
        $(this).parent().addClass('active');
        return false;
    });

    isotope = function () {
        $container.isotope({
            resizable: true,
            itemSelector: '.portfolio-item',
            layoutMode : 'masonry',
            gutter: 20,
            masonry: {
                columnWidth: colWidth(),
                gutterWidth: 20
            }
        });
    };
isotope();



/*------------------------------------------------
                Subscribe Newsletter Popup
------------------------------------------------*/
$('.popup-form .jetpack_subscription_widget').append('<i class="fa fa-times"></i>');

$('.upcoming-courses .view-more .btn').click(function() {
    $('body').append('<div class="popup-overlay"></div>');
    $('.popup-form .jetpack_subscription_widget form #subscribe-email').append('<i class="fa fa-envelope"></i>');
    $('.popup-form').fadeIn();
});

$('.popup-form .fa-times').click(function() {
    $('.popup-overlay').fadeOut();
    $('.popup-form').fadeOut();
});

$('p#subscribe-submit input[type="submit"]').click(function(){
    $('.popup-form .jetpack_subscription_widget').append('<i class="fa fa-times"></i>');
    $('.popup-overlay').fadeIn();
    $('.popup-form').fadeIn();
});

var getUrlParameter = function getUrlParameter(sParam) {
    var sPageURL = decodeURIComponent(window.location.search.substring(1)),
        sURLVariables = sPageURL.split('&'),
        sParameterName,
        i;

    for (i = 0; i < sURLVariables.length; i++) {
        sParameterName = sURLVariables[i].split('=');

        if (sParameterName[0] === sParam) {
            return sParameterName[1] === undefined ? true : sParameterName[1];
        }
    }
};

var subscribe = getUrlParameter('subscribe');

if ( subscribe ) {

    $('body').append('<div class="popup-overlay"></div>');
    $('.popup-form').fadeIn();
    $('.courses-list .row').removeClass( 'wow' );
    // alert('amit');
}

/*------------------------------------------------
                MAGNIFIC POPUP
------------------------------------------------*/

$('.gallery-popup').magnificPopup( {
    delegate:'.popup', type:'image', tLoading:'Loading image #%curr%...', 
    gallery: {
        enabled: true, navigateByImgClick: true, preload: [0, 1]
    }
    , image: {
        tError:'<a href="%url%">The image #%curr%</a> could not be loaded.', titleSrc:function(item) {
            return item.el.attr('title');
        }
    }
    , zoom: {
        enabled:true, duration:400, opener:function(element) {
            return element.find('img');
        }
    }
});

/*------------------------------------------------------------
            ARCHIVE DROPDOWN
-------------------------------------------------------------*/

// localized site url
var current_site = data.current_site;

    // team Category
    $( '.archive select#tp-team-category' ).change( function(){
        var cat_slug = this.value;
        var new_path = current_site + '/tp-team-category/' + cat_slug;

        // url location
        if ( cat_slug != '' ) {
            location.replace( new_path );
        }
        
    });

    // Class Category
    $( '.archive select#tp-class-category' ).change( function(){
        var cat_slug = this.value;
        var new_path = current_site + '/tp-class-category/' + cat_slug;

        // url location
        if ( cat_slug != '' ) {
            location.replace( new_path );
        }
        
    });

    // course Category
    $( '.archive select#tp-course-category' ).change( function(){
        var cat_slug = this.value;
        var new_path = current_site + '/tp-course-category/' + cat_slug;

        // url location
        if ( cat_slug != '' ) {
            location.replace( new_path );
        }
        
    });

    // event Category
    $( '.archive select#tp-event-category' ).change( function(){
        var cat_slug = this.value;
        var new_path = current_site + '/tp-event-category/' + cat_slug;

        // url location
        if ( cat_slug != '' ) {
            location.replace( new_path );
        }
        
    });

    // excursion Category
    $( '.archive select#tp-excursion-category' ).change( function(){
        var cat_slug = this.value;
        var new_path = current_site + '/tp-excursion-category/' + cat_slug;

        // url location
        if ( cat_slug != '' ) {
            location.replace( new_path );
        }
        
    });

    // affiliation Category
    $( '.archive select#tp-affiliation-category' ).change( function(){
        var cat_slug = this.value;
        var new_path = current_site + '/tp-affiliation-category/' + cat_slug;

        // url location
        if ( cat_slug != '' ) {
            location.replace( new_path );
        }
        
    });
/*------------------------------------------------
                END JQUERY
------------------------------------------------*/

});
